package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractTodoLinkRequest struct {
	ContractInfo *common.ContractRequest `json:"contractInfo"`
	UserInfo     *common.UserInfoRequest `json:"userInfo,omitempty"`
}

func (obj ContractTodoLinkRequest) GetUrl() string {
	return "/contract/todo/link"
}

func (obj ContractTodoLinkRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
